(function($) {
    appcan.button("#nav-left", "btn-act", function() {
    });
    appcan.button("#nav-right", "btn-act", function() {
    });

    appcan.ready(function() {
        getonlineHouseList();
        
        $("#ul_onlinelist").on("click","li",function(e){
            var id=$(this).attr("id");
            var OrgId=$(this).attr("bid");
            uexWindow.open({
                name : "Home_OnlineHousekeeper_Message",
                data : "Home_OnlineHousekeeper_Message.html?ownid=" + id+"&OrgId="+OrgId,
                animID : 0,
                flag : 0
            });
        });
        
         setInterval(function(){
            getonlineHouseList();
        },3000);
    });
})($);

/*加载在线管家列表*/
function getonlineHouseList() {
    var data = {
        UserId : window.localStorage["UserId"],
        OrgId:window.localStorage["UOrgId"]
    }
    $.post(url + "&Action=10000900&Param=1", data, function(callback) {
        if (callback == null || callback == "") {
            uexWindow.alert("网络连接失效", "", "确定");
            return;
        }
        var obj = callback;
        var Code = obj.Code;
        var Message = obj.Message;
        var Info = JSON.parse(obj.Value);
        if (Code != "1") {
            uexWindow.alert(Message, "", "确定");
            return;
        }
        var div = '';
        for (var i = 0; i < Info.length; i++) {
            div += '<li id="'+Info[i].OwnerId+'" bid="'+Info[i].OrgId+'">';
            div += '    <div>';
            div += '        <div class="li_left">';
            div += '            <div>';
            div += '                <img src="' + (Info[i].OwnerPhoto != "" ? imgUrl+"/"+Info[i].OwnerPhoto : "OnlineHouseKeeper/Home_OnlineHousekeeper/img/Housekeeper.png") + '" alt="">';
            if (Info[i].Count > 0) {
                div += '                <div class="div_nub">' + Info[i].Count + '</div>';
            }
            div += '            </div>';
            div += '        </div>';
            div += '        <div class="li_right">';
            div += '            <div class="div_name1">';
            div += '                <div class="div_name1_div1">' + Info[i].OwnerName + '</div>';
            div += '                <div class="div_name1_div2">' + Info[i].OrgName + '</div>';
            div += '                <div class="div_name1_div3">' + Info[i].DateTime.slice(5) + '</div>';
            div += '            </div>';
            div += '            <div class="div_name2">' + Info[i].Content + '</div>';
            div += '        </div>';
            div += '    </div>';
            div += '</li>';
        };
        $("#ul_onlinelist").html(div);
    });
}